Bug 56060 - GNUS get lisp error when posting and crashes kernel
GNUS get lisp error when posting and crashes kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-12 03:41 EST by David Miller
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 03:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Miller 2001-11-12 03:41:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
Posting a newsgroup, such as "pl.test"
results in a lisp error because rfc2047-encodable-p
encounters a lisp symbol instead of a list.
It probably occurs for any non-standard encoding
setting, pl.test will make GNUS happen to use
iso-8859-2.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Post test posting to "pl.test"
2.
3.
	

Actual Results:  Lisp error.  The posting actually goes out, but the posting
buffer sits there and you have to kill it off manually.
This confused my wife.


Expected Results:  The posting should have gone out without any lisp
errors.

Additional info:

If we are going to ship a different version of GNUS that that
contained in the stock emacs sources, we should at least test
simple things like posting to non-english newsgroups.

Here is the LISP backtrace btw:
Signaling: (wrong-type-argument listp iso-8859-2)
  rfc2047-encodable-p()
  mail-encode-encoded-word-buffer()
  message-do-fcc()
  message-send(nil)
  message-send-and-exit(nil)
* call-interactively(message-send-and-exit)
Comment 1 Trond Eivind Glomsrxd 2001-11-12 11:40:51 EST
It has been tested with non-English newsgroups (Norwegian ones :). Can you check
if emacs 21 (available from http://people.redhat.com/teg/emacs/) solves the problem?
Comment 2 David Miller 2001-11-13 04:53:14 EST
This causes a complete hang of my wife's computer when
GNUS is started.  This was under X.
We rebooted cleanly, and from a plain text console I tried
again. Same thing, starting GNUS causes a full system hang.

Wouldn't it be easier just to fix the code in the 20.7 SRPM
so that the rfc2047-encodable-p elisp defun gets the correct
types?  ... Just an idea...  When I traced the code it seems
that the "newgroup regexp" --> "charset" mapping was just using
incorrect types.

System specs:
Athlon 1700+ XP
512MB ram
all kernel/glibc/etc. updates installed
Comment 3 Michael K. Johnson 2001-11-13 10:14:31 EST
>This causes a complete hang of my wife's computer when
>GNUS is started.


That sounds like a kernel bug to me.  Or an X bug.  Not an
emacs bug...
Comment 4 Michael K. Johnson 2001-11-13 10:16:26 EST
And if I would keep reading, I would notice that it is definitely
a kernel bug.
Comment 5 Alan Cox 2003-06-07 16:59:03 EDT
Still the case with modern kernels Dave ? and if so is it emacs running the box
out of ram?
Comment 6 David Miller 2003-06-08 03:03:03 EDT
No, turned out to be dodgy ram in my wife's Athlon.

Note You need to log in before you can comment on or make changes to this bug.